#!/bin/bash
KDEHOME="$(kde4-config --localprefix)"
if [ $? -ge 1 ]; then
	echo "ERROR: Could not acquire kde local prefix";
	echo "       Maybe your KDE 4 installation is incomplete or not functional?";
	exit;
fi

cd "$(dirname "$0")"
FILELIST="./meta/oldfiles"
if [ ! -f $FILELIST ]; then 
	echo "ERROR: $FILELIST not found";
	echo "       Make sure you're running from the theme pack root directory";
      echo "       Maybe some files are missing";
	exit;
fi

IFS=$'\n'
NFILES=0
for FILE in $(cat $FILELIST); do
	rm "${KDEHOME}${FILE}" 2> /dev/null;
	if [ $? -le 0 ]; then
		let NFILES=NFILES+1;
		echo "Removed ${KDEHOME}${FILE}";
	fi
done

echo "Removed $NFILES file(s)."